MD5 Class Reference

`#include <md5.h>`

## Public Member Functions

| MD5 ()
virtual | ~MD5 ()
void | feed (const unsigned char *data, int bytes)
void | feed (const std::string &data)
void | finalize ()
const std::string | hex ()
const std::string | binary ()
void | reset ()

## Detailed Description

An MD5 implementation.

This is an implementation of the Message Digest Algorithm as decribed in RFC 1321. The original code has been taken from an implementation by L. Peter Deutsch.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 81 of file md5.h.

## Constructor & Destructor Documentation

## MD5()

MD5 | ( |  | ) |

Constructs a new MD5 object.

Definition at line 168 of file md5.cpp.

## ~MD5()

~MD5 | ( |  | ) |

virtual

Virtual Destructor.

Definition at line 174 of file md5.cpp.

## Member Function Documentation

## binary()

const std::string binary | ( |  | ) |

Use this function to retrieve the raw binary hash.

Returns
  The raw binary hash.

Definition at line 449 of file md5.cpp.

## feed() [1/2]

void feed | ( | const std::string & | data | ) |

Use this function to feed the hash.

Parameters

  data | The data to hash.

Definition at line 373 of file md5.cpp.

## feed() [2/2]

void feed | ( | const unsigned char * | data,
|  | int | bytes )

Use this function to feed the hash.

Parameters

  data | The data to hash.
  bytes | The size of `data` in bytes.

Definition at line 378 of file md5.cpp.

## finalize()

void finalize | ( |  | ) |

This function is used to finalize the hash operation. Use it after the last feed() and before calling hex().

Definition at line 416 of file md5.cpp.

## hex()

const std::string hex | ( |  | ) |

Use this function to retrieve the hash value in hex.

Returns
  The hash in hex notation.

Definition at line 436 of file md5.cpp.

## reset()

void reset | ( |  | ) |

Use this function to reset the hash.

Definition at line 461 of file md5.cpp.

The documentation for this class was generated from the following files:

- md5.h
- md5.cpp